@charset "ISO-8859-1";

html, body {
	height: 100%;
	width: auto;
	background-color: white;
}

h1 {
	position: absolute;
	top: 14px;
	left: 40%;
	z-index: 100;
	color: #fd7e14;
	font-size: 1.4em;
}

h2 {
	font-size: 115%;
	font-weight: bold;
	margin: 15px 0 5px 0;
	color: #4360f3;
}

h2:first-child {
	margin: 0 0 5px 0;
}

h3 {
	font-size: 96%;
	font-weight: bold;
	margin: 0 0 5px 0;
}

#header-entity {
	font-weight: bold;
	font-size: 0.9em;
}

#list-buttons-container {
	height: 68px;
	min-height: 68px;
}

#view-buttons-container {
	width: 100%;
	text-align: center;
	margin-top:16px;
}

#edit-buttons-container {
	width: 100%;
	text-align: center;
	padding:20px 0 5px 0;
}

#extra-search-options {
	height: 22px;
	min-height:22px;
	display: flex;
	justify-content:
	flex-end;
	padding: 0;
	margin-bottom: 8px;
}

.left {
	float: left;
}

#w1 {
	width: 5%;
	background-color: white;
}

#w2 {
	width: 70%;
	background-color: white;
	margin: 16px auto auto auto;
}

#w3 {
	width: 10%;
	background-color: white;
}

.center-screen {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	/*padding: 60px;*/
	/*margin-top: 60px;*/
}

.small-input-container {
	padding:30px;
	border: 1px solid #000;
	background-color: #d8efff;
	margin: 40px 60px 0 60px;
}

.small-input-container p {
	font-size: 94%;
	margin: 0 0 12px 0;
}

.main-table-row td {
	padding: 6px 17px 5px 0;
}

.main-table-row td:last-child {
	padding: 5px 0 5px 0;
}

.main-table-row:hover {
	background-color: #d8efff;
}

th {
	text-align: left;
	height: 40px;
	border: 0px solid black;
	border-bottom: 2px solid #ddd;
	border-top: 2px solid #ddd;
	padding: 3px 17px 6px 0;
}

td.button-container {
	width: 49px;
	padding-right: 5px;
}


td.left-col {
	vertical-align: top;
	text-align: right;
	padding: 18px 4px 0 18px;
	color: #111;
	border:none;
	white-space: nowrap;
	font-weight: bold;
}

td.right-col {
	vertical-align: top;
	text-align: left;
	padding: 18px 0 0 4px;
	border:none;
}

input, select {
	outline: none;
	border-radius: 2px;
	border: 1px solid #aaa;
	height: 1.6em;
	background-color: #fff;
}

textarea {
	border-radius: 2px;
	border: 1px solid #aaa;
	background-color: #fff;
}

input.disabled {
	border: none;
	color: #333;
	background-color: transparent;
}

select.big-list-box {
	border: 1px solid #999;
	background-color: #fff;
	height:40px;
	min-height: 40px;
	width: 20%;
	min-width: 100px;
	border-radius: 10px;
}

.inactive-warning {
	visibility: hidden;
	color: #f00;
	font-style: italic;
	font-size: 0.9em;
}

/*  Error.html: */ 

.error-hdr {
	color: #F93154;
	font-size: 120%;
	font-weight: bold;
}

.error-msg {
	color: #F93154;
	font-size: 85%;
	font-weight: bold;
}

.warning-hdr {
	font-size: 120%;
	font-weight: bold;
}

.warning-msg {
	font-size: 85%;
	font-weight: bold;
}

.stack-trace {
	font-family: "Noto Mono","Helvetica","Courier New",Courier,"Lucida Sans Typewriter","Lucida Typewriter",monospace;
	font-size: 76%;
	color: #d89;
	width:100%;
	margin-top:20px;
}

#row-count-display {
	font-style: italic;
	margin: 9px 0 4px 0;
}

#storage-label-display {
	height:170px;
	overflow:auto;
}

.plain-table {
	padding:2px;
	background-color: #fff;
}

.plain-cell-left {
	font-size: 88%;
	border: 1px solid #555;
	padding: 1px 4px 1px 4px;
}

.plain-cell-right {
	font-size: 88%;
	border-top: 1px solid #555;
	border-right: 1px solid #555;
	border-bottom: 1px solid #555;
	border-left: 0px;
	padding: 1px 4px 1px 4px;
}

::-webkit-input-placeholder { /* Chrome */
	color: grey;
	transition: opacity 250ms ease-in-out;
}

:focus::-webkit-input-placeholder {
	opacity: 0.5;
}

:-ms-input-placeholder { /* IE 10+ */
	color: grey;
	transition: opacity 250ms ease-in-out;
}

:focus:-ms-input-placeholder {
	opacity: 0.5;
}

::-moz-placeholder { /* Firefox 19+ */
	color: grey;
	opacity: 1;
	transition: opacity 250ms ease-in-out;
}

:focus::-moz-placeholder {
	opacity: 0.5;
}

:-moz-placeholder { /* Firefox 4 - 18 */
	color: grey;
	opacity: 1;
	transition: opacity 250ms ease-in-out;
}

:focus:-moz-placeholder {
	opacity: 0.5;
}